javax.persistence

## Class EntityNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.EntityNotFoundException

All Implemented Interfaces:
  Serializable

    public class EntityNotFoundException
    extends PersistenceException

Thrown by the persistence provider when an entity reference obtained by `EntityManager.getReference` is accessed but the entity does not exist. Thrown when `EntityManager.refresh` is called and the object no longer exists in the database. Thrown when `EntityManager.lock` is used with pessimistic locking is used and the entity no longer exists in the database.

The current transaction, if one is active and the persistence context has been joined to it, will be marked for rollback.

Since:
  Java Persistence 1.0
See Also:
  `EntityManager.getReference(Class,Object)`, `EntityManager.refresh(Object)`, `EntityManager.refresh(Object, LockModeType)`, `EntityManager.refresh(Object, java.util.Map)`, `EntityManager.refresh(Object, LockModeType, java.util.Map)`, `EntityManager.lock(Object, LockModeType)`, `EntityManager.lock(Object, LockModeType, java.util.Map)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EntityNotFoundException()` Constructs a new `EntityNotFoundException` exception with `null` as its detail message.
`EntityNotFoundException(String message)` Constructs a new `EntityNotFoundException` exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EntityNotFoundException

    public EntityNotFoundException()

Constructs a new `EntityNotFoundException` exception with `null` as its detail message.

#### EntityNotFoundException

    public EntityNotFoundException(String message)

Constructs a new `EntityNotFoundException` exception with the specified detail message.

Parameters:
  `message` - the detail message.